package cn.com.qmth.stmms.common.enums;

public enum HistoryType {
    COMMON("正常给分", 0), SELF("自评给分", 1), BACK("打回给分", 2);

    private String name;

    private int value;

    private HistoryType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static HistoryType findByValue(int value) {
        for (HistoryType c : HistoryType.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
